# Saints Row IV: Re-Elected 1.8.0
# BID: B6CFBB9BB8F8A2E7

DECLARATIONS:
  -
    type: variable
    name: frametime_target
    value_type: double
    default_value: -30.0
    evaluate: "-0.9 * FRAMETIME_TARGET"
  -
    type: code
    name: getFrametimeTarget
    instructions: [
      [adrp, x23, $frametime_target],
      [ldr, d9, [x23, $frametime_target]],
      [ret]
    ]
MASTER_WRITE:
  # REF: 09 D0 77 1E
  -
    type: asm_a64
    main_offset: 0x145CA44
    instructions: [
      [bl, _getFrametimeTarget()]
    ]